RDKit: ForceFields::UFF Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Functions | Variables
ForceFields::UFF Namespace Reference

## Namespaces
namespace | Params
namespace | Utils

## Classes
class | AngleBendContrib
| The angle-bend term for the Universal Force Field. More...
class | AtomicParams
| class to store atomic parameters for the Universal Force Field More...
class | BondStretchContrib
| The bond-stretch term for the Universal Force Field. More...
class | InversionContrib
| The inversion term for the Universal Force Field. More...
class | InversionContribs
| A term to capture all Inversion Contributionss. More...
struct | InversionContribsParams
class | ParamCollection
| singleton class for retrieving UFF AtomParams More...
class | TorsionAngleContrib
| the torsion term for the Universal Force Field More...
class | UFFAngle
| class to store UFF parameters for angle bending More...
class | UFFBond
| class to store UFF parameters for bond stretching More...
class | UFFInv
| class to store UFF parameters for inversions More...
class | UFFTor
| class to store UFF parameters for torsions More...
class | UFFVdW
| class to store UFF parameters for van der Waals interactions More...
class | vdWContrib
| the van der Waals term for the Universal Force Field More...

## Typedefs
using | AngleConstraintContrib = ForceFields::AngleConstraintContrib
using | DistanceConstraintContrib = ForceFields::DistanceConstraintContrib
using | PositionConstraintContrib = ForceFields::PositionConstraintContrib
using | TorsionConstraintContrib = ForceFields::TorsionConstraintContrib

## Functions
bool | isDoubleZero (const double x)
void | clipToOne (double &x)

## Variables
constexpr double | DEG2RAD = M_PI / 180.0
constexpr double | RAD2DEG = 180.0 / M_PI

## Typedef Documentation

## ◆ AngleConstraintContrib

using ForceFields::UFF::AngleConstraintContrib = ForceFields::AngleConstraintContrib

Definition at line 17 of file UFF/AngleConstraint.h.

## ◆ DistanceConstraintContrib

using ForceFields::UFF::DistanceConstraintContrib = ForceFields::DistanceConstraintContrib

Definition at line 17 of file UFF/DistanceConstraint.h.

## ◆ PositionConstraintContrib

using ForceFields::UFF::PositionConstraintContrib = ForceFields::PositionConstraintContrib

Definition at line 17 of file UFF/PositionConstraint.h.

## ◆ TorsionConstraintContrib

using ForceFields::UFF::TorsionConstraintContrib = ForceFields::TorsionConstraintContrib

Definition at line 17 of file UFF/TorsionConstraint.h.

## Function Documentation

## ◆ clipToOne()

void ForceFields::UFF::clipToOne | ( | double & | x | ) |
| inline

Definition at line 32 of file UFF/Params.h.

## ◆ isDoubleZero()

bool ForceFields::UFF::isDoubleZero | ( | const double | x | ) |
| inline

Definition at line 29 of file UFF/Params.h.

## Variable Documentation

## ◆ DEG2RAD

double ForceFields::UFF::DEG2RAD = M_PI / 180.0
| constexpr

Definition at line 27 of file UFF/Params.h.

## ◆ RAD2DEG

double ForceFields::UFF::RAD2DEG = 180.0 / M_PI
| constexpr

Definition at line 28 of file UFF/Params.h.